| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Tuples::Local::Counter Class Reference

Collaboration diagram for Tuples::Local::Counter:

[legend]
List of all members.

## Detailed Description

Definition at line 70 of file TupleObj.cpp.

## Public Member Functions
| Counter (const std::string &msg=" Misbalance ")
| ~Counter ()
long | increment (const std::string &object)
long | decrement (const std::string &object)
long | counts (const std::string &object)
void | report () const
## Private Types
typedef std::map< std::string, long > | Map
## Private Attributes
Map | m_map
std::string | m_message

## Member Typedef Documentation

typedef std::map<std::string,long> Tuples::Local::Counter::Map`[private]`

Definition at line 97 of file TupleObj.cpp.

## Constructor & Destructor Documentation

Tuples::Local::Counter::Counter | ( | const std::string & | msg = `" Misbalance "` | ) | `[inline]`

Definition at line 74 of file TupleObj.cpp.

    00075         : m_map     ()
    00076         , m_message ( msg )
    00077       {};

Tuples::Local::Counter::~Counter | ( |  | ) | `[inline]`

Definition at line 79 of file TupleObj.cpp.

References m_map, and report().

    00079 { report() ; m_map.clear() ;}

## Member Function Documentation

long Tuples::Local::Counter::increment | ( | const std::string & | object | ) | `[inline]`

Definition at line 81 of file TupleObj.cpp.

References m_map.

    00081 { return ++m_map[object] ; }

long Tuples::Local::Counter::decrement | ( | const std::string & | object | ) | `[inline]`

Definition at line 83 of file TupleObj.cpp.

References m_map.

    00083 { return --m_map[object] ; }

long Tuples::Local::Counter::counts | ( | const std::string & | object | ) | `[inline]`

Definition at line 85 of file TupleObj.cpp.

References m_map.

    00085 { return   m_map[object] ; }

void Tuples::Local::Counter::report | ( |  | ) | const`[inline]`

Definition at line 87 of file TupleObj.cpp.

References std::cout, std::endl(), m_map, and m_message.

Referenced by ~Counter().

    00088       {
    00089         for ( Map::const_iterator entry = m_map.begin() ;
    00090               m_map.end() != entry ; ++entry )
    00091         {
    00092           if( 0 == entry->second ) { continue ; }
    00093           std::cout << "Tuples::TupleObj WARNING "          << m_message
    00094                     << "'" << entry->first << "' Counts = " << entry->second
    00095                     << std::endl ;
    00096         }
    00097       };

## Member Data Documentation

Map Tuples::Local::Counter::m_map`[private]`

Definition at line 101 of file TupleObj.cpp.

Referenced by counts(), decrement(), increment(), report(), and ~Counter().

std::string Tuples::Local::Counter::m_message`[private]`

Definition at line 102 of file TupleObj.cpp.

Referenced by report().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/TupleObj.cpp